<?php

class Articles
{

    /**
     * @var string $Code
     */
    protected $Code = null;

    /**
     * @var string $WebCode
     */
    protected $WebCode = null;

    /**
     * @var string $Title
     */
    protected $Title = null;

    /**
     * @var int $Millesime
     */
    protected $Millesime = null;

    /**
     * @var string $Brand
     */
    protected $Brand = null;

    /**
     * @var string $Color
     */
    protected $Color = null;

    /**
     * @var float $Conditioning
     */
    protected $Conditioning = null;

    /**
     * @var string $Packaging
     */
    protected $Packaging = null;

    /**
     * @var boolean $IsSalable
     */
    protected $IsSalable = null;

    /**
     * @var float $GrossWeight
     */
    protected $GrossWeight = null;

    /**
     * @var string $RegionCode
     */
    protected $RegionCode = null;

    /**
     * @var string $RegionTitle
     */
    protected $RegionTitle = null;

    /**
     * @var string $CuveeCode
     */
    protected $CuveeCode = null;

    /**
     * @var string $CuveeTitle
     */
    protected $CuveeTitle = null;

    /**
     * @var string $AppellationCode
     */
    protected $AppellationCode = null;

    /**
     * @var string $AppellationTitle
     */
    protected $AppellationTitle = null;

    /**
     * @var string $GammeCode
     */
    protected $GammeCode = null;

    /**
     * @var string $GammeTitle
     */
    protected $GammeTitle = null;

    /**
     * @var string $NcCode
     */
    protected $NcCode = null;

    /**
     * @var float $Degre
     */
    protected $Degre = null;

    /**
     * @var string $Custom1Code
     */
    protected $Custom1Code = null;

    /**
     * @var string $Custom1Title
     */
    protected $Custom1Title = null;

    /**
     * @var string $Custom3Code
     */
    protected $Custom3Code = null;

    /**
     * @var string $Custom3Title
     */
    protected $Custom3Title = null;

    /**
     * @var float $Stock
     */
    protected $Stock = null;

    /**
     * @var string $CepageCode
     */
    protected $CepageCode = null;

    /**
     * @var string $CepageTitle
     */
    protected $CepageTitle = null;

    /**
     * @var string $PaysCode
     */
    protected $PaysCode = null;

    /**
     * @var string $PaysTitle
     */
    protected $PaysTitle = null;

    /**
     * @var string $EANCode
     */
    protected $EANCode = null;

    /**
     * @var string $GestionRegieCode
     */
    protected $GestionRegieCode = null;

    /**
     * @var string $GestionRegieTitle
     */
    protected $GestionRegieTitle = null;

    /**
     * @var int $TVACode
     */
    protected $TVACode = null;

    /**
     * @var float $TVATaux
     */
    protected $TVATaux = null;

    /**
     * @var string $TVATitle
     */
    protected $TVATitle = null;

    /**
     * @var string $IsError
     */
    protected $IsError = null;

    /**
     * @var int $ErrorCode
     */
    protected $ErrorCode = null;

    /**
     * @var string $ErrorMessage
     */
    protected $ErrorMessage = null;

    /**
     * @param string $Code
     * @param string $WebCode
     * @param string $Title
     * @param int $Millesime
     * @param string $Brand
     * @param string $Color
     * @param float $Conditioning
     * @param string $Packaging
     * @param boolean $IsSalable
     * @param float $GrossWeight
     * @param string $RegionCode
     * @param string $RegionTitle
     * @param string $CuveeCode
     * @param string $CuveeTitle
     * @param string $AppellationCode
     * @param string $AppellationTitle
     * @param string $GammeCode
     * @param string $GammeTitle
     * @param string $NcCode
     * @param float $Degre
     * @param string $Custom1Code
     * @param string $Custom1Title
     * @param string $Custom3Code
     * @param string $Custom3Title
     * @param float $Stock
     * @param string $CepageCode
     * @param string $CepageTitle
     * @param string $PaysCode
     * @param string $PaysTitle
     * @param string $EANCode
     * @param string $GestionRegieCode
     * @param string $GestionRegieTitle
     * @param int $TVACode
     * @param float $TVATaux
     * @param string $TVATitle
     * @param string $IsError
     * @param int $ErrorCode
     * @param string $ErrorMessage
     */
    public function __construct($Code, $WebCode, $Title, $Millesime, $Brand, $Color, $Conditioning, $Packaging, $IsSalable, $GrossWeight, $RegionCode, $RegionTitle, $CuveeCode, $CuveeTitle, $AppellationCode, $AppellationTitle, $GammeCode, $GammeTitle, $NcCode, $Degre, $Custom1Code, $Custom1Title, $Custom3Code, $Custom3Title, $Stock, $CepageCode, $CepageTitle, $PaysCode, $PaysTitle, $EANCode, $GestionRegieCode, $GestionRegieTitle, $TVACode, $TVATaux, $TVATitle, $IsError, $ErrorCode, $ErrorMessage)
    {
      $this->Code = $Code;
      $this->WebCode = $WebCode;
      $this->Title = $Title;
      $this->Millesime = $Millesime;
      $this->Brand = $Brand;
      $this->Color = $Color;
      $this->Conditioning = $Conditioning;
      $this->Packaging = $Packaging;
      $this->IsSalable = $IsSalable;
      $this->GrossWeight = $GrossWeight;
      $this->RegionCode = $RegionCode;
      $this->RegionTitle = $RegionTitle;
      $this->CuveeCode = $CuveeCode;
      $this->CuveeTitle = $CuveeTitle;
      $this->AppellationCode = $AppellationCode;
      $this->AppellationTitle = $AppellationTitle;
      $this->GammeCode = $GammeCode;
      $this->GammeTitle = $GammeTitle;
      $this->NcCode = $NcCode;
      $this->Degre = $Degre;
      $this->Custom1Code = $Custom1Code;
      $this->Custom1Title = $Custom1Title;
      $this->Custom3Code = $Custom3Code;
      $this->Custom3Title = $Custom3Title;
      $this->Stock = $Stock;
      $this->CepageCode = $CepageCode;
      $this->CepageTitle = $CepageTitle;
      $this->PaysCode = $PaysCode;
      $this->PaysTitle = $PaysTitle;
      $this->EANCode = $EANCode;
      $this->GestionRegieCode = $GestionRegieCode;
      $this->GestionRegieTitle = $GestionRegieTitle;
      $this->TVACode = $TVACode;
      $this->TVATaux = $TVATaux;
      $this->TVATitle = $TVATitle;
      $this->IsError = $IsError;
      $this->ErrorCode = $ErrorCode;
      $this->ErrorMessage = $ErrorMessage;
    }

    /**
     * @return string
     */
    public function getCode()
    {
      return $this->Code;
    }

    /**
     * @param string $Code
     * @return Articles
     */
    public function setCode($Code)
    {
      $this->Code = $Code;
      return $this;
    }

    /**
     * @return string
     */
    public function getWebCode()
    {
      return $this->WebCode;
    }

    /**
     * @param string $WebCode
     * @return Articles
     */
    public function setWebCode($WebCode)
    {
      $this->WebCode = $WebCode;
      return $this;
    }

    /**
     * @return string
     */
    public function getTitle()
    {
      return $this->Title;
    }

    /**
     * @param string $Title
     * @return Articles
     */
    public function setTitle($Title)
    {
      $this->Title = $Title;
      return $this;
    }

    /**
     * @return int
     */
    public function getMillesime()
    {
      return $this->Millesime;
    }

    /**
     * @param int $Millesime
     * @return Articles
     */
    public function setMillesime($Millesime)
    {
      $this->Millesime = $Millesime;
      return $this;
    }

    /**
     * @return string
     */
    public function getBrand()
    {
      return $this->Brand;
    }

    /**
     * @param string $Brand
     * @return Articles
     */
    public function setBrand($Brand)
    {
      $this->Brand = $Brand;
      return $this;
    }

    /**
     * @return string
     */
    public function getColor()
    {
      return $this->Color;
    }

    /**
     * @param string $Color
     * @return Articles
     */
    public function setColor($Color)
    {
      $this->Color = $Color;
      return $this;
    }

    /**
     * @return float
     */
    public function getConditioning()
    {
      return $this->Conditioning;
    }

    /**
     * @param float $Conditioning
     * @return Articles
     */
    public function setConditioning($Conditioning)
    {
      $this->Conditioning = $Conditioning;
      return $this;
    }

    /**
     * @return string
     */
    public function getPackaging()
    {
      return $this->Packaging;
    }

    /**
     * @param string $Packaging
     * @return Articles
     */
    public function setPackaging($Packaging)
    {
      $this->Packaging = $Packaging;
      return $this;
    }

    /**
     * @return boolean
     */
    public function getIsSalable()
    {
      return $this->IsSalable;
    }

    /**
     * @param boolean $IsSalable
     * @return Articles
     */
    public function setIsSalable($IsSalable)
    {
      $this->IsSalable = $IsSalable;
      return $this;
    }

    /**
     * @return float
     */
    public function getGrossWeight()
    {
      return $this->GrossWeight;
    }

    /**
     * @param float $GrossWeight
     * @return Articles
     */
    public function setGrossWeight($GrossWeight)
    {
      $this->GrossWeight = $GrossWeight;
      return $this;
    }

    /**
     * @return string
     */
    public function getRegionCode()
    {
      return $this->RegionCode;
    }

    /**
     * @param string $RegionCode
     * @return Articles
     */
    public function setRegionCode($RegionCode)
    {
      $this->RegionCode = $RegionCode;
      return $this;
    }

    /**
     * @return string
     */
    public function getRegionTitle()
    {
      return $this->RegionTitle;
    }

    /**
     * @param string $RegionTitle
     * @return Articles
     */
    public function setRegionTitle($RegionTitle)
    {
      $this->RegionTitle = $RegionTitle;
      return $this;
    }

    /**
     * @return string
     */
    public function getCuveeCode()
    {
      return $this->CuveeCode;
    }

    /**
     * @param string $CuveeCode
     * @return Articles
     */
    public function setCuveeCode($CuveeCode)
    {
      $this->CuveeCode = $CuveeCode;
      return $this;
    }

    /**
     * @return string
     */
    public function getCuveeTitle()
    {
      return $this->CuveeTitle;
    }

    /**
     * @param string $CuveeTitle
     * @return Articles
     */
    public function setCuveeTitle($CuveeTitle)
    {
      $this->CuveeTitle = $CuveeTitle;
      return $this;
    }

    /**
     * @return string
     */
    public function getAppellationCode()
    {
      return $this->AppellationCode;
    }

    /**
     * @param string $AppellationCode
     * @return Articles
     */
    public function setAppellationCode($AppellationCode)
    {
      $this->AppellationCode = $AppellationCode;
      return $this;
    }

    /**
     * @return string
     */
    public function getAppellationTitle()
    {
      return $this->AppellationTitle;
    }

    /**
     * @param string $AppellationTitle
     * @return Articles
     */
    public function setAppellationTitle($AppellationTitle)
    {
      $this->AppellationTitle = $AppellationTitle;
      return $this;
    }

    /**
     * @return string
     */
    public function getGammeCode()
    {
      return $this->GammeCode;
    }

    /**
     * @param string $GammeCode
     * @return Articles
     */
    public function setGammeCode($GammeCode)
    {
      $this->GammeCode = $GammeCode;
      return $this;
    }

    /**
     * @return string
     */
    public function getGammeTitle()
    {
      return $this->GammeTitle;
    }

    /**
     * @param string $GammeTitle
     * @return Articles
     */
    public function setGammeTitle($GammeTitle)
    {
      $this->GammeTitle = $GammeTitle;
      return $this;
    }

    /**
     * @return string
     */
    public function getNcCode()
    {
      return $this->NcCode;
    }

    /**
     * @param string $NcCode
     * @return Articles
     */
    public function setNcCode($NcCode)
    {
      $this->NcCode = $NcCode;
      return $this;
    }

    /**
     * @return float
     */
    public function getDegre()
    {
      return $this->Degre;
    }

    /**
     * @param float $Degre
     * @return Articles
     */
    public function setDegre($Degre)
    {
      $this->Degre = $Degre;
      return $this;
    }

    /**
     * @return string
     */
    public function getCustom1Code()
    {
      return $this->Custom1Code;
    }

    /**
     * @param string $Custom1Code
     * @return Articles
     */
    public function setCustom1Code($Custom1Code)
    {
      $this->Custom1Code = $Custom1Code;
      return $this;
    }

    /**
     * @return string
     */
    public function getCustom1Title()
    {
      return $this->Custom1Title;
    }

    /**
     * @param string $Custom1Title
     * @return Articles
     */
    public function setCustom1Title($Custom1Title)
    {
      $this->Custom1Title = $Custom1Title;
      return $this;
    }

    /**
     * @return string
     */
    public function getCustom3Code()
    {
      return $this->Custom3Code;
    }

    /**
     * @param string $Custom3Code
     * @return Articles
     */
    public function setCustom3Code($Custom3Code)
    {
      $this->Custom3Code = $Custom3Code;
      return $this;
    }

    /**
     * @return string
     */
    public function getCustom3Title()
    {
      return $this->Custom3Title;
    }

    /**
     * @param string $Custom3Title
     * @return Articles
     */
    public function setCustom3Title($Custom3Title)
    {
      $this->Custom3Title = $Custom3Title;
      return $this;
    }

    /**
     * @return float
     */
    public function getStock()
    {
      return $this->Stock;
    }

    /**
     * @param float $Stock
     * @return Articles
     */
    public function setStock($Stock)
    {
      $this->Stock = $Stock;
      return $this;
    }

    /**
     * @return string
     */
    public function getCepageCode()
    {
      return $this->CepageCode;
    }

    /**
     * @param string $CepageCode
     * @return Articles
     */
    public function setCepageCode($CepageCode)
    {
      $this->CepageCode = $CepageCode;
      return $this;
    }

    /**
     * @return string
     */
    public function getCepageTitle()
    {
      return $this->CepageTitle;
    }

    /**
     * @param string $CepageTitle
     * @return Articles
     */
    public function setCepageTitle($CepageTitle)
    {
      $this->CepageTitle = $CepageTitle;
      return $this;
    }

    /**
     * @return string
     */
    public function getPaysCode()
    {
      return $this->PaysCode;
    }

    /**
     * @param string $PaysCode
     * @return Articles
     */
    public function setPaysCode($PaysCode)
    {
      $this->PaysCode = $PaysCode;
      return $this;
    }

    /**
     * @return string
     */
    public function getPaysTitle()
    {
      return $this->PaysTitle;
    }

    /**
     * @param string $PaysTitle
     * @return Articles
     */
    public function setPaysTitle($PaysTitle)
    {
      $this->PaysTitle = $PaysTitle;
      return $this;
    }

    /**
     * @return string
     */
    public function getEANCode()
    {
      return $this->EANCode;
    }

    /**
     * @param string $EANCode
     * @return Articles
     */
    public function setEANCode($EANCode)
    {
      $this->EANCode = $EANCode;
      return $this;
    }

    /**
     * @return string
     */
    public function getGestionRegieCode()
    {
      return $this->GestionRegieCode;
    }

    /**
     * @param string $GestionRegieCode
     * @return Articles
     */
    public function setGestionRegieCode($GestionRegieCode)
    {
      $this->GestionRegieCode = $GestionRegieCode;
      return $this;
    }

    /**
     * @return string
     */
    public function getGestionRegieTitle()
    {
      return $this->GestionRegieTitle;
    }

    /**
     * @param string $GestionRegieTitle
     * @return Articles
     */
    public function setGestionRegieTitle($GestionRegieTitle)
    {
      $this->GestionRegieTitle = $GestionRegieTitle;
      return $this;
    }

    /**
     * @return int
     */
    public function getTVACode()
    {
      return $this->TVACode;
    }

    /**
     * @param int $TVACode
     * @return Articles
     */
    public function setTVACode($TVACode)
    {
      $this->TVACode = $TVACode;
      return $this;
    }

    /**
     * @return float
     */
    public function getTVATaux()
    {
      return $this->TVATaux;
    }

    /**
     * @param float $TVATaux
     * @return Articles
     */
    public function setTVATaux($TVATaux)
    {
      $this->TVATaux = $TVATaux;
      return $this;
    }

    /**
     * @return string
     */
    public function getTVATitle()
    {
      return $this->TVATitle;
    }

    /**
     * @param string $TVATitle
     * @return Articles
     */
    public function setTVATitle($TVATitle)
    {
      $this->TVATitle = $TVATitle;
      return $this;
    }

    /**
     * @return string
     */
    public function getIsError()
    {
      return $this->IsError;
    }

    /**
     * @param string $IsError
     * @return Articles
     */
    public function setIsError($IsError)
    {
      $this->IsError = $IsError;
      return $this;
    }

    /**
     * @return int
     */
    public function getErrorCode()
    {
      return $this->ErrorCode;
    }

    /**
     * @param int $ErrorCode
     * @return Articles
     */
    public function setErrorCode($ErrorCode)
    {
      $this->ErrorCode = $ErrorCode;
      return $this;
    }

    /**
     * @return string
     */
    public function getErrorMessage()
    {
      return $this->ErrorMessage;
    }

    /**
     * @param string $ErrorMessage
     * @return Articles
     */
    public function setErrorMessage($ErrorMessage)
    {
      $this->ErrorMessage = $ErrorMessage;
      return $this;
    }

}
